import { AnalyticsStateMachine } from '../../analyticsStateMachines/AnalyticsStateMachine';
import { EventDispatcher } from '../../core/EventDispatcher';
import { AnalyticsStateMachineOptions } from '../../types/AnalyticsStateMachineOptions';
import { DownloadSpeedInfo } from '../../types/DownloadSpeedInfo';
import { DrmPerformanceInfo } from '../../types/DrmPerformanceInfo';
import { SegmentInfo } from '../../types/SegmentInfo';
import { StateMachineCallbacks } from '../../types/StateMachineCallbacks';
export declare abstract class InternalAdapter {
    stateMachineCallbacks: StateMachineCallbacks;
    protected stateMachine: AnalyticsStateMachine;
    protected opts: AnalyticsStateMachineOptions;
    protected _onLicenseKeyReceived: EventDispatcher<{
        licenseKey: string;
    }>;
    protected _onLicenseCallFailed: EventDispatcher<{}>;
    protected drmPerformanceInfo: DrmPerformanceInfo | undefined;
    protected previousVideoBitrate: number;
    protected previousAudioBitrate: number;
    readonly onLicenseKeyReceived: EventDispatcher<{
        licenseKey: string;
    }>;
    readonly onLicenseCallFailed: EventDispatcher<{}>;
    constructor(opts?: AnalyticsStateMachineOptions);
    eventCallback: (eventType: string, eventObject: any) => void;
    getCommonPlaybackInfo(): {
        screenHeight: number;
        screenWidth: number;
    };
    clearValues(): void;
    clearSegments(): void;
    protected shouldAllowVideoQualityChange(newBitrate: number | undefined): boolean;
    protected setPreviousVideoBitrate(newBitrate: number): void;
    protected shouldAllowAudioQualityChange(newBitrate: number | undefined): boolean;
    protected setPreviousAudioBitrate(newBitrate: number): void;
    readonly downloadSpeedInfo: DownloadSpeedInfo;
    readonly segments: SegmentInfo[];
}
